summaryrefslogtreecommitdiffstats
path: root/package/block-mount/files/fsck.sh
diff options
context:
space:
mode:
authorcshore <cshore@3c298f89-4303-0410-b956-a3cf2f4a3e73>2010-06-30 23:09:13 +0000
committercshore <cshore@3c298f89-4303-0410-b956-a3cf2f4a3e73>2010-06-30 23:09:13 +0000
commit7bc978b32b012346bad19ee8f1481a1e63a33d37 (patch)
treeac1afaca23950c3976adcc01ba7192ba7d69d0e4 /package/block-mount/files/fsck.sh
parent60a32ced826dfc7b344a24c050f8538cf8f7a63d (diff)
block-extroot, block-mount: Fixed multiple bugs which prevented e2fsck from being executed on the external root filesystem before mounting it as root. Added /etc/e2fsck.conf which indicates that the clock is broken (since most OpenWRT devices don't have a battery backed RTC) so that e2fsck will not exit with fatal error when the rdat has not yet been run (i.e. before network).
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@22002 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/block-mount/files/fsck.sh')
-rw-r--r--package/block-mount/files/fsck.sh24
1 files changed, 11 insertions, 13 deletions
diff --git a/package/block-mount/files/fsck.sh b/package/block-mount/files/fsck.sh
index d80e71693..2b6402563 100644
--- a/package/block-mount/files/fsck.sh
+++ b/package/block-mount/files/fsck.sh
@@ -12,20 +12,18 @@ libmount_fsck() {
local found_fsck=0
- [ -n "$fsck_type" ] && [ "$fsck_type" != "swap" ] && {
- grep -q "$device" /proc/swaps || grep -q "$device" /proc/mounts || {
- [ -e "$device" ] && [ "$fsck_enabled" -eq 1 ] && {
- for known_type in $libmount_known_fsck; do
- if [ "$known_type" = "$fsck_fstype" ]; then
- fsck_${known_type} "$device"
- found_fsck=1
- break
- fi
- done
- if [ "$found_fsck" -ne 1 ]; then
- logger -t 'fstab' "Unable to check/repair $device; no known fsck for filesystem type $fstype"
+ grep -q "$device" /proc/swaps || grep -q "$device" /proc/mounts || {
+ [ -e "$device" ] && [ "$fsck_enabled" -eq 1 ] && {
+ for known_type in $libmount_known_fsck; do
+ if [ "$known_type" = "$fsck_fstype" ]; then
+ fsck_${known_type} "$device"
+ found_fsck=1
+ break
fi
- }
+ done
+ if [ "$found_fsck" -ne 1 ]; then
+ logger -t 'fstab' "Unable to check/repair $device; no known fsck for filesystem type $fstype"
+ fi
}
}
}